Upstream information

CVE-2021-32714 at MITRE

Description

hyper is an HTTP library for Rust. In versions prior to 0.14.10, hyper's HTTP server and client code had a flaw that could trigger an integer overflow when decoding chunk sizes that are too big. This allows possible data loss, or if combined with an upstream HTTP proxy that allows chunk sizes larger than hyper does, can result in "request smuggling" or "desync attacks." The vulnerability is patched in version 0.14.10. Two possible workarounds exist. One may reject requests manually that contain a `Transfer-Encoding` header or ensure any upstream proxy rejects `Transfer-Encoding` chunk sizes greater than what fits in 64-bit unsigned integers.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.4
Vector AV:N/AC:L/Au:N/C:N/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.1 5.9
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:H CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H
Access Vector Network Network
Access Complexity Low High
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact High None
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1188174 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
openSUSE Tumbleweed
  • afterburn >= 5.0.0-6.1
  • afterburn-dracut >= 5.0.0-6.1
Patchnames:
openSUSE Tumbleweed GA afterburn-5.0.0-6.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 4.0 rust Already fixed
SUSE CaaS Platform 4.5 rust Affected
SUSE Enterprise Storage 6 rust Already fixed
SUSE Enterprise Storage 7 rust Already fixed
SUSE Linux Enterprise Desktop 15 SP2 rust Affected
SUSE Linux Enterprise Desktop 15 SP3 rust Ignore
SUSE Linux Enterprise Desktop 15 SP3 rust1.43 Unsupported
SUSE Linux Enterprise Desktop 15 SP3 rust1.53 Not affected
SUSE Linux Enterprise Desktop 15 SP3 rust1.54 Not affected
SUSE Linux Enterprise Desktop 15 SP3 rust1.55 Not affected
SUSE Linux Enterprise Desktop 15 SP3 rust1.56 Not affected
SUSE Linux Enterprise Desktop 15 SP3 rust1.57 Not affected
SUSE Linux Enterprise Desktop 15 SP4 rust Already fixed
SUSE Linux Enterprise Desktop 15 SP4 rust1.43 Unsupported
SUSE Linux Enterprise Desktop 15 SP4 rust1.54 Not affected
SUSE Linux Enterprise Desktop 15 SP4 rust1.55 Not affected
SUSE Linux Enterprise High Performance Computing 15 LTSS rust Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS rust Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS rust Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2 rust Affected
SUSE Linux Enterprise High Performance Computing 15 SP2 ESPOS rust Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS rust Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP3 rust Ignore
SUSE Linux Enterprise High Performance Computing 15 SP3 rust1.43 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3 rust1.53 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 rust1.54 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 rust1.55 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 rust1.56 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 rust1.57 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 rust Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP4 rust1.43 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4 rust1.54 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 rust1.55 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP2 rust Affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 rust Ignore
SUSE Linux Enterprise Module for Development Tools 15 SP3 rust1.43 Unsupported
SUSE Linux Enterprise Module for Development Tools 15 SP3 rust1.53 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 rust1.54 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 rust1.55 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 rust1.56 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 rust1.57 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP4 rust Already fixed
SUSE Linux Enterprise Module for Development Tools 15 SP4 rust1.43 Unsupported
SUSE Linux Enterprise Module for Development Tools 15 SP4 rust1.54 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP4 rust1.55 Not affected
SUSE Linux Enterprise Server 15 ESPOS rust Already fixed
SUSE Linux Enterprise Server 15 LTSS rust Already fixed
SUSE Linux Enterprise Server 15 SP1 LTSS rust Already fixed
SUSE Linux Enterprise Server 15 SP2 rust Affected
SUSE Linux Enterprise Server 15 SP2 LTSS rust Already fixed
SUSE Linux Enterprise Server 15 SP3 rust Ignore
SUSE Linux Enterprise Server 15 SP3 rust1.43 Unsupported
SUSE Linux Enterprise Server 15 SP3 rust1.53 Not affected
SUSE Linux Enterprise Server 15 SP3 rust1.54 Not affected
SUSE Linux Enterprise Server 15 SP3 rust1.55 Not affected
SUSE Linux Enterprise Server 15 SP3 rust1.56 Not affected
SUSE Linux Enterprise Server 15 SP3 rust1.57 Not affected
SUSE Linux Enterprise Server 15 SP4 rust Already fixed
SUSE Linux Enterprise Server 15 SP4 rust1.43 Unsupported
SUSE Linux Enterprise Server 15 SP4 rust1.54 Not affected
SUSE Linux Enterprise Server 15 SP4 rust1.55 Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 rust Already fixed
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 rust Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 rust Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP1 rust Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP2 rust Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 rust Ignore
SUSE Linux Enterprise Server for SAP Applications 15 SP3 rust1.43 Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP3 rust1.53 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 rust1.54 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 rust1.55 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 rust1.56 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 rust1.57 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 rust Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP4 rust1.43 Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP4 rust1.54 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 rust1.55 Not affected
SUSE Linux Enterprise Storage 7 rust Affected
SUSE Linux Enterprise Storage 7.1 rust Ignore
SUSE Linux Enterprise Storage 7.1 rust1.43 Unsupported
SUSE Linux Enterprise Storage 7.1 rust1.53 Not affected
SUSE Linux Enterprise Storage 7.1 rust1.54 Not affected
SUSE Linux Enterprise Storage 7.1 rust1.55 Not affected
SUSE Linux Enterprise Storage 7.1 rust1.56 Not affected
SUSE Linux Enterprise Storage 7.1 rust1.57 Not affected
SUSE Manager Proxy 4.0 rust Analysis
SUSE Manager Proxy 4.1 rust Affected
SUSE Manager Proxy 4.2 rust Ignore
SUSE Manager Proxy 4.2 rust1.43 Unsupported
SUSE Manager Proxy 4.2 rust1.53 Not affected
SUSE Manager Proxy 4.2 rust1.54 Not affected
SUSE Manager Proxy 4.2 rust1.55 Not affected
SUSE Manager Proxy 4.2 rust1.56 Not affected
SUSE Manager Proxy 4.2 rust1.57 Not affected
SUSE Manager Proxy 4.3 rust Already fixed
SUSE Manager Proxy 4.3 rust1.43 Unsupported
SUSE Manager Proxy 4.3 rust1.54 Not affected
SUSE Manager Proxy 4.3 rust1.55 Not affected
SUSE Manager Retail Branch Server 4.0 rust Analysis
SUSE Manager Retail Branch Server 4.1 rust Affected
SUSE Manager Retail Branch Server 4.2 rust Ignore
SUSE Manager Retail Branch Server 4.2 rust1.43 Unsupported
SUSE Manager Retail Branch Server 4.2 rust1.53 Not affected
SUSE Manager Retail Branch Server 4.2 rust1.54 Not affected
SUSE Manager Retail Branch Server 4.2 rust1.55 Not affected
SUSE Manager Retail Branch Server 4.2 rust1.56 Not affected
SUSE Manager Retail Branch Server 4.2 rust1.57 Not affected
SUSE Manager Retail Branch Server 4.3 rust Already fixed
SUSE Manager Retail Branch Server 4.3 rust1.43 Unsupported
SUSE Manager Retail Branch Server 4.3 rust1.54 Not affected
SUSE Manager Retail Branch Server 4.3 rust1.55 Not affected
SUSE Manager Server 4.0 rust Analysis
SUSE Manager Server 4.1 rust Affected
SUSE Manager Server 4.2 rust Ignore
SUSE Manager Server 4.2 rust1.43 Unsupported
SUSE Manager Server 4.2 rust1.53 Not affected
SUSE Manager Server 4.2 rust1.54 Not affected
SUSE Manager Server 4.2 rust1.55 Not affected
SUSE Manager Server 4.2 rust1.56 Not affected
SUSE Manager Server 4.2 rust1.57 Not affected
SUSE Manager Server 4.3 rust Already fixed
SUSE Manager Server 4.3 rust1.43 Unsupported
SUSE Manager Server 4.3 rust1.54 Not affected
SUSE Manager Server 4.3 rust1.55 Not affected
bci/rust:1.56 rust1.56Not affected
bci/rust rust1.57Not affected